ApiManagementSso apps
POST
/v1/mgmt/sso/idp/app/permission

Authorization

Descope Project ID and Management Key
AuthorizationBearer <token>

Project ID:Management Key as bearer token.

In: header

Request Body

application/json

appId?string
id?string
name?string
description?string

Create a permission scoped to an SSO application, using a valid management key.

curl -X POST "https://api.descope.com/v1/mgmt/sso/idp/app/permission" \  -H "Content-Type: application/json" \  -d '{}'
{  "appId": "string",  "id": "string",  "name": "string",  "description": "string"}
/** * SSO application scoped permission (Terraform: descope_app_permission). The id is server-assigned and ignored on create. */export interface Response {appId?: stringid?: stringname?: stringdescription?: string}
Was this helpful?